      SUBROUTINE Euler(y,x,delta_x)
*     variables slope and change introduced for sake of clarity only
      IMPLICIT NONE
      REAL*8 change, slope, y, x, delta_x
      slope = 2*x                           ! slope at beginning of interval
      change = slope*delta_x                ! estimate of change during interval
      y = y + change                        ! new value of y
      x = x + delta_x                       ! value of x at end of interval
      END
